/*
 * Copyright (c) 2002 Falk Feddersen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */


/*    
      density.h  - density module to turbulence model 
*/

#ifndef DENSITY_H
#define DENSITY_H

#include "defs.h"



typedef struct {
  switch_t density_flag;
  bc_t top_bc;
  double bcval;
  double BVfreq;   // the initial condition Brunt-Vaisala frequency.
} densityinfo;


void implicit_solve_density_euler(field1D *RHOW, const field1D *DIDZ, 
                                  const field1D *Kv, double dt);

void implicit_solve_densityAB2(field1D *RHOW, const field1D *DIDZ1, const field1D *DIDZ2,
			       const field1D *Kv, double dt);

void calculate_density_stats(field1D *DIDZ, field1D *KRHOV, field1D *KUV);

void deallocate_density_variables();

void allocate_density_variables(int nz, densityinfo *D);

#endif /* DENSITY_H */
