/*
 * Copyright (c) 2002 Falk Feddersen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */


/*    
      mflow.h  - mean flow module to turbulence model 
*/



#ifndef MFLOW_H
#define MFLOW_H

#include "defs.h"

typedef struct {
  switch_t mflow_flag;
  switch_t surfzone_flag;
  double ustar;
  double vstar;
  double mFx;
  double mFy;
} mflowinfo;


void rhs_implicit_mflow_eq(field1D *UT, field1D *VT, const field1D *U, const field1D *V);

void deallocate_mflow_variables();

void allocate_mflow_variables(int nz, mflowinfo *M);

#endif /* MFLOW_H */
