/*
 * Copyright (c) 2002 Falk Feddersen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */


/*    
      misc.h  - Misc functions to deal w/ numerical model
*/



#include "defs.h"
#include "timing.h"
#include "wave.h"
#include "mflow.h"
#include "bubble.h"
#include "sediment.h"
#include "density.h"
#include "pinput.h"

void defs_test();

void defs_report();

void stability_report(field1D *KV, timing *T, double dz);

double  diffusive_stability_parameter(field1D *KV, double dt, double dz);

void timing_report(timing *T);

void wave_and_forcing_report(inputinfo *I);
