/*
 * Copyright (c) 2002 Falk Feddersen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/* q2l.h --- routines for the MY2.5 TKE dynamics */




/* --- Mellor Yamada q^2 * l functions --- in q2l.c  */

void update_q2l_bc(field1D *BB, field1D *Q2L, field1D *Kv);

void calculate_q2l_stats(field1D *Q, field1D *DISS, field1D *Kv, field1D *KUv, const field1D *B, const field1D *Q2L);

void rhs_q2l_eq(field1D *BT, field1D *Q2LT, const field1D *B, const field1D *Q2L, 
		const field1D *DISS, const field1D *PROD, const field1D *Kv);


void update_q2l_euler(field1D *B, const field1D *BT1, 
                      field1D *Q2L, const field1D *Q2LT1, const double dt);

void update_q2l_AB2(field1D *B, const field1D *BT1, const field1D *BT2, 
                    field1D *Q2L, const field1D *Q2LT1, const field1D *Q2LT2, const double dt);
