
disp('Spilling Wave Test')

%load -ascii U.dat
%load -ascii tottke_sp.dat
%load -ascii PROD_sp.dat

nz = 401;

tke = load_binary_file('tke_sp.dat',nz);
diss = load_binary_file('diss_sp.dat',nz);
KUV = load_binary_file('KUV_sp.dat',nz-1);
tkediff = load_binary_file('tkediff_sp.dat',nz);



[n,m] = size(tke);

nz = m;
dz = 0.005;


mdiss = mean(diss);
%mPROD = mean(PROD);
mtkediff = mean(tkediff);


z = [0:m-1]*dz;
z2 = ([0:m-2]+0.5)*dz;
z3 = [1:m-2]*dz;

bottom = 0.01;
top = z(m);

dt = 0.5;
tauy = 0;
z0b = 0.005;

Cmu0 = 0.5562;

L = Cmu0^3 * tke(n-8:2:n,:).^(3/2) ./ diss(n-8:2:n,:);
Lm = 0.4*(z+z0b);



time = [0:n-1]*dt;


% Integrate the dissipation 

imdiss = dz*0.5*sum(mdiss(1:m-1)+mdiss(2:m));
%improd = dz*sum(mPROD);

iepsilon = 0.02;





figure(1),clf, orient tall

subplot(4,2,1)
%semilogy(tketime,tottke,time,diss(:,10),':')
grid
legend('tke','diss',4)
xlabel('Time (sec)')
ylabel('tke & dissipation')


subplot(4,2,2)
%plot(U(n-16:2:n,:),z)
xlabel('U & V (m/s)')
ylabel('Depth (z)')
%axis([-0.1 0.3 bottom top])

subplot(4,2,3)
loglog(tke(n-16:2:n,:),z),grid
axis([0.8*min(min(tke(n-16:2:n,:))) 1.2*max(max(tke(n-16:2:n,:)))  bottom top])
xlabel('tke (m^2/s^2)')
ylabel('Depth (m)')

subplot(4,2,4)
loglog(diss(n-16:2:n,:),z)  %,mdiss,z,'--',PROD(n-16:2:n,:),z,':',abs(tkediff(n-16:2:n,:)),z,'-.')
grid
axis([0.8*min(min(diss(n-16:2:n,:))) 1.2*max(max(diss(n-16:2:n,:)))  bottom top])
%legend('model \epsilon','theory \epsilon','production','tke diff')
xlabel('\epsilon (m^2/s^3)')
ylabel('Depth (m)')


subplot(4,2,5)
semilogy(KUV(n-16:2:n,:),z2)   %,KQV(n-16:2:n,:),z2,'--',mvt,z2,mvt2,z,'-.')
%axis([0 0.01 bottom top])
%legend('K_{uv}','K_{qv}','theory','k-e',4)
xlabel('K_v (m^2/s)')
ylabel('Depth (m)')

subplot(4,2,6)
loglog(KUV(n-16:2:n,:),z2)    %,KQV(n-16:2:n,:),z2,'--',mvt,z2,mvt2,z,'-.')
axis([1e-4 1e-1 bottom top])
%legend('K_{uv}','K_{qv}','theory','k-e',2)
xlabel('K_v (m^2/s)')
ylabel('Depth (m)')

subplot(4,2,7)
plot(L,z,Lm,z,'--')
xlabel('Length Scale (C_\mu)^3 k^{3/2}/\epsilon (m),  kappa*(z+z0)=dashed')
ylabel('Depth (m)')


subplot(4,2,8)
loglog(mdiss,z,abs(mtkediff),z,'-.') %,mPROD,z,':')
axis([1e-7 10 bottom top])
%legend('\epsilon','production','tke diff')
xlabel('Mean TKE Dynamics')
ylabel('Depth (m)')
   
