/*
 * Copyright (c) 2001 Falk Feddersen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */


/* -- timing.h: handles timing input for model */


#ifndef TIMING_H
#define TIMING_H

#include <glib.h>


/* Timing routines and data structures */
         
typedef struct  {
  gdouble current_time;
  gdouble total_run_time;
  gdouble dt;
  gdouble level1_time;
  gdouble level2_time;
  gint time_index;
  gint level1_iter;
  gint level2_iter;
  gint level3_iter;
  gint units_flag;     // 0 = seconds 1=minutes 2=hours 3 = days
  gchar *units_ptr;
  gint finished;
  gint msg;            // this is only for GUI stuff
  GString *message;    // ditto, a kludge
} timing;



timing* process_timing(char *s);

#endif    /* TIMING_H */
