/*
 * Copyright (c) 2002 Falk Feddersen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/* 
   wavemodel.h

   functions for calculating wave paramters:
   wavenumber, cg, wave dissipation

*/



/* Wave math functions */

double tanh(double x);
double sech(double x);
double get_wavenum(double omega, double depth);
double get_cg(double k, double depth);
double wave_averaged_energy_dissipation(double Hrms, double h, double freq, double gam, double B);

